e-Próspera
Reference

Revoke an OAuth token

View as Markdown
POST
/api/oauth/revoke

Authorization

oauthClient
AuthorizationBasic <token>

OAuth client credentials using HTTP Basic. The OAuth endpoints also accept client credentials in the form body where documented.

In: header

Request Body

application/x-www-form-urlencoded

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/oauth/revoke" \  -H "Content-Type: application/x-www-form-urlencoded" \  -d 'token=string'
Empty
{  "error": "string",  "error_description": "string",  "details": [    null  ]}
{  "error": "string",  "error_description": "string",  "details": [    null  ]}
{  "error": "string",  "error_description": "string",  "details": [    null  ]}
{  "error": "string",  "error_description": "string",  "details": [    null  ]}
{  "error": "string",  "error_description": "string",  "details": [    null  ]}
{  "error": "string",  "error_description": "string",  "details": [    null  ]}
{  "error": "string",  "error_description": "string",  "details": [    null  ]}